# Copyright (c) 2002 Cunningham & Cunningham, Inc.
# Released under the terms of the GNU General Public License version 2 or later.

require "fit/Fixture"

module Fit

  class PrimitiveFixture < Fixture

    # format converters ////////////////////////

    def parse_integer(cell)
      Integer(cell.text())
    end

    def parse_double(cell)
      Float(cell.text())
    end

    # answer comparisons ///////////////////////

    def check(cell, expected, got)
      if expected == got
	Fixture.right(cell)
      else
	Fixture.wrong(cell, got)
      end
    end
  end
end

