module Fit

  # Copyright (c) 2002 Cunningham & Cunningham, Inc.
  # Released under the terms of the GNU General Public License version 2 or later.
  
  require "fit/ActionFixture"
  
  class TimedActionFixture < Fit::ActionFixture

    # Traversal
    
    def do_table(table)
      super
      table.parts.parts.last().more = td("time")
    table.parts.parts.last().more = td("split")
    end
    
    def do_cells(cells)
    start = Time.now
      super
      split = Time.now.to_f - start.to_f
      cells.last().more = td(start.strftime("%H:%M:%S"))
      cells.last().more = sprintf("%6.2f", split)
    end
    
    
    private
    
    
    def td(body)
      ParseHolder.create("td", gray(body), nil, nil);
    end
    
  end
end

